Bug 199412 - Simplify logic that handles registering WebProcessProxy objects with their WebsiteDataStore
Summary: Simplify logic that handles registering WebProcessProxy objects with their We...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on: 199407
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-02 11:25 PDT by Chris Dumez
Modified: 2019-07-04 16:53 PDT (History)
9 users (show)

See Also:


Attachments
Patch (40.43 KB, patch)
2019-07-02 11:46 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (40.65 KB, patch)
2019-07-02 11:48 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (40.64 KB, patch)
2019-07-02 13:54 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (40.71 KB, patch)
2019-07-02 14:54 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews211 for win-future (13.90 MB, application/zip)
2019-07-02 18:52 PDT, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-07-02 11:25:40 PDT
Simplify logic that handles registering WebProcessProxy objects with their WebsiteDataStore to make it more maintainable and less error-prone.
Comment 1 Chris Dumez 2019-07-02 11:25:58 PDT
<rdar://problem/51899751>
Comment 2 Chris Dumez 2019-07-02 11:46:04 PDT
Created attachment 373347 [details]
Patch
Comment 3 Chris Dumez 2019-07-02 11:48:51 PDT
Created attachment 373348 [details]
Patch
Comment 4 Chris Dumez 2019-07-02 13:54:30 PDT
Created attachment 373358 [details]
Patch
Comment 5 Chris Dumez 2019-07-02 14:54:01 PDT
Created attachment 373363 [details]
Patch
Comment 6 EWS Watchlist 2019-07-02 18:52:35 PDT
Comment on attachment 373363 [details]
Patch

Attachment 373363 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12646243

New failing tests:
css3/filters/blur-various-radii.html
Comment 7 EWS Watchlist 2019-07-02 18:52:38 PDT
Created attachment 373376 [details]
Archive of layout-test-results from ews211 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews211  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 8 Chris Dumez 2019-07-03 08:10:20 PDT
(In reply to Build Bot from comment #6)
> Comment on attachment 373363 [details]
> Patch
> 
> Attachment 373363 [details] did not pass win-ews (win):
> Output: https://webkit-queues.webkit.org/results/12646243
> 
> New failing tests:
> css3/filters/blur-various-radii.html

This does not seem related to my change, the patch is ready for review.
Comment 9 Chris Dumez 2019-07-03 15:30:25 PDT
ping review?
Comment 10 Ryosuke Niwa 2019-07-03 20:17:23 PDT
Comment on attachment 373363 [details]
Patch

The change looks good but I hope Brady or Alex could have a second look at it.
Comment 11 WebKit Commit Bot 2019-07-04 16:53:27 PDT
Comment on attachment 373363 [details]
Patch

Clearing flags on attachment: 373363

Committed r247146: <https://trac.webkit.org/changeset/247146>
Comment 12 WebKit Commit Bot 2019-07-04 16:53:29 PDT
All reviewed patches have been landed.  Closing bug.